ERROR: Could not import the python snack module

Bug #1278446 reported by Nobuto Murata on 2014-02-10
18
This bug affects 4 people
Affects Status Importance Assigned to Milestone
byobu
Undecided
Unassigned
byobu (Ubuntu)
High
Unassigned

Bug Description

Cannot open byobu-config.

How to reproduce:
 1. $ byobu-screen
 2. ~⟫ byobu-config
     ERROR: Could not import the python snack module

WORKAROUND:
  manually specify python version like:
    ~⟫ python3 /usr/lib/byobu/include/config.py

ProblemType: BugDistroRelease: Ubuntu 14.04
Package: byobu 5.70-0ubuntu1
ProcVersionSignature: User Name 3.13.0-6.23-generic 3.13.0
Uname: Linux 3.13.0-6-generic x86_64
ApportVersion: 2.13.2-0ubuntu2
Architecture: amd64
Date: Mon Feb 10 22:47:47 2014
PackageArchitecture: all
ProcEnviron:
 TERM=screen-bce
 PATH=(custom, no user)
 LANG=ja_JP.UTF-8
 SHELL=/bin/bashSourcePackage: byobu
UpgradeStatus: No upgrade log present (probably fresh install)

Nobuto Murata (nobuto) wrote :
Nobuto Murata (nobuto) wrote :
description: updated
Changed in byobu (Ubuntu):
importance: Undecided → High
status: New → In Progress
Changed in byobu (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package byobu - 5.71-0ubuntu1

---------------
byobu (5.71-0ubuntu1) trusty; urgency=low

  * usr/bin/byobu-janitor, usr/lib/byobu/date,
    usr/lib/byobu/include/constants, usr/lib/byobu/include/shutil,
    usr/lib/byobu/time, usr/share/byobu/profiles/tmux,
    usr/share/byobu/profiles/tmuxrc, usr/share/man/man1/byobu.1:
    - LP: #1059127
    - fix longstanding "date and time flash on and off" bug
    - this isn't a great fix, but it's a start
    - basically, we need to use the tmux status native support
      for timestamps
    - support configuration through ~/.byobu/datetime.tmux
    - this will be a difference between byobu-tmux and byobu-screen,
      which is a bummer
    - also, there's more work to be done, in order to enable/disable
      this via F9/byobu-config
  * usr/lib/byobu/include/constants: LP: #1278446
    - ensure that we pick a python that has a proper snack module
      installed
 -- Dustin Kirkland <email address hidden> Thu, 16 Jan 2014 17:48:35 -0600

Changed in byobu (Ubuntu):
status: Fix Committed → Fix Released
Changed in byobu:
status: New → Fix Released
Chillar Anand (chillaranand) wrote :

This is showing up again.

(exp)
chillaranand@pavilion:~ |
→ byobu -v
byobu version 5.111
tmux 2.1
(exp)
chillaranand@pavilion:~ |
→ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 16.04 LTS
Release: 16.04
Codename: xenial
(exp)
chillaranand@pavilion:~ |
→ byobu-config
ERROR: Could not import the python snack module

Bronsen (housetier) wrote :

I have the same symptons as well on 16.04.1 (just like #4):

bronsen at amalthea in ~
❯ byobu --version
byobu version 5.106
tmux 2.1

bronsen at amalthea in ~
❯ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 16.04.1 LTS
Release: 16.04
Codename: xenial

Biocyberman (biocyberman) wrote :

Same error happened to me on seeming verbatim Xenial setup. But it turned out that I was running terminal with anaconda's version of python. Disabling anaconda in .bashrc worked.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers